Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.utils
Interface XMLMessageProvider

All Known Implementing Classes:
  XMLMessages, ImplementationMessages, DatatypeMessageProvider, SchemaMessageProvider

public interface XMLMessageProvider

Interface describing how to provide localized error messages to the XMLErrorReporter

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `XMLErrorReporter`

Method Summary
`java.lang.String` | `createMessage(java.util.Locale locale, int majorCode, int minorCode, java.lang.Object[] args)` Creates a message from the specified key and replacement arguments, localized to the given locale.
`java.util.Locale` | `getLocale()` Get the locale being used for error messages
`void` | `setLocale(java.util.Locale locale)` Set the locale to be used for error messages

Method Detail

### setLocale

    public void setLocale(java.util.Locale locale)

  Set the locale to be used for error messages

  Parameters:
    `locale` - the new locale

### getLocale

    public java.util.Locale getLocale()

  Get the locale being used for error messages

  Returns:
    the locale

### createMessage

    public java.lang.String createMessage(java.util.Locale locale,
                                          int majorCode,
                                          int minorCode,
                                          java.lang.Object[] args)

  Creates a message from the specified key and replacement arguments, localized to the given locale.

  Parameters:
    `locale` - The requested locale of the message to be created.
    `key` - The key for the message text.
    `args` - The arguments to be used as replacement text in the message created.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD